import "./soft-deletable-handler.subscriber";
/**
 * Mark an entity type as soft-deletable.
 * @param type - Helper function for type inference.
 * @param field - Identifier field used to identify deleted entities.
 * @param value - Value to set to the identifier field in deletions.
 * @returns
 * @see SoftDeletableHandlerSubscriber
 */
export declare const SoftDeletable: <Entity, Field extends keyof Entity>(type: () => Type<Entity>, field: Field, value: () => Entity[Field]) => (type: Type<Entity>) => void;
interface Type<T> {
    new (...args: any[]): T;
    prototype: T;
}
export {};
//# sourceMappingURL=soft-deletable.decorator.d.ts.map